文档

RDS PostgreSQL限制创建插件说明

更新时间:

为了规范插件管理,提升RDS PostgreSQL在插件侧的安全防护,RDS计划在内核版本迭代中陆续对部分存在安全风险的插件进行优化,因此,部分插件将会在低内核版本中无法新创建使用,本文介绍不同内核版本下,限制创建的插件详情。存在安全风险的插件优化完成后,您可以将内核小版本升级到最新进行使用,已经创建的插件使用不受影响。

限制插件清单

PostgreSQL 14~15

内核小版本

禁用插件

20230228前

pg_cron、cube、earthdistance、ganos_geometry、ganos_geometry_sfcgal、ganos_geometry_topology、ganos_networking、ganos_pointcloud、ganos_pointcloud_geometry、ganos_raster、ganos_spatialref、ganos_trajectory、hstore、hypopg、index_adviser、intarray、ltree、madlib、orafce、pg_bigm、pg_profile、pg_stat_kcache、pglogical、pldebugger、postgis、postgis_sfcgal、postgis_tiger_geocoder、postgis_topology、timescaledb、zhparser、zombodb

20230330 ~ 20230730

pg_cron、ganos_geometry_sfcgal、ganos_vomesh、ganos_scene、timescaledb、pg_partman、postgis_raster、pljava、ganos_geometry、pgbouncer_fdw、postgis、ganos_raster、ganos_sfmesh、ganos_trajectory

20230830

pg_cron

PostgreSQL 13

内核小版本

禁用插件

20230228前

pg_cron、cube、earthdistance、ganos_geometry、ganos_geometry_sfcgal、ganos_geometry_topology、ganos_networking、ganos_pointcloud、ganos_pointcloud_geometry、ganos_raster、ganos_spatialref、ganos_trajectory、hstore、hypopg、index_adviser、intarray、ltree、madlib、orafce、pg_bigm、pg_profile、pg_stat_kcache、pglogical、pldebugger、postgis、postgis_sfcgal、postgis_tiger_geocoder、postgis_topology、timescaledb、zhparser、zombodb

20230330 ~ 20230730

pg_cron、ganos_geometry_sfcgal、ganos_vomesh、ganos_scene、pg_partman、postgis_raster、pljava、ganos_geometry、pgbouncer_fdw、postgis、pg_pathman、ganos_raster、ganos_sfmesh、ganos_trajectory

20230830

pg_cron

PostgreSQL 11~12

内核小版本

禁用插件

20230228前

pg_cron、cube、earthdistance、ganos_geometry、ganos_geometry_sfcgal、ganos_geometry_topology、ganos_networking、ganos_pointcloud、ganos_pointcloud_geometry、ganos_raster、ganos_spatialref、ganos_trajectory、hstore、hypopg、index_adviser、intarray、ltree、madlib、orafce、pg_bigm、pg_profile、pg_stat_kcache、pglogical、pldebugger、postgis、postgis_sfcgal、postgis_tiger_geocoder、postgis_topology、timescaledb、zhparser、zombodb

20230330 ~ 20230730

ganos_geometry_sfcgal、ganos_vomesh、ganos_scene、c、postgis_raster、ganos_sfmesh、pljava、ganos_geometry、pgbouncer_fdw、madlib、pg_pathman、ganos_raster、postgis、ganos_trajectory

影响

  • 如果您已创建上述列举的限制插件,且未删除插件,则使用不受影响。

  • 如果您未创建过上述列举的限制插件,或创建过但已删除,且当前实例大版本和内核小版本在上表列举范围内,则无法再新创建上述限制插件。如需创建,请将内核小版本升级到不再限制创建目标插件的小版本。

相关参考

查询和升级内核小版本,请参见升级内核小版本

  • 本页导读 (1)
文档反馈